Bug 2001311 - Notifications not working because package dependency missing
Summary: Notifications not working because package dependency missing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: battray
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ranjan Maitra
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-09-05 13:16 UTC by Sebastien Wains
Modified: 2021-10-01 01:30 UTC (History)
1 user (show)

Fixed In Version: battray-2.3-19.fc35 battray-2.3-19.fc34 battray-2.3-19.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-26 00:16:16 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastien Wains 2021-09-05 13:16:31 UTC
Description of problem:

Battray needs python3-notify2 to be installed. The package is not installed as a dependency, thus preventing desktop notifications to work.

How reproducible:

Steps to Reproduce:
1. install battray
2. copy /usr/share/battray/battrayrc.py to ~/.config/battray/
3. start battray
4. unplug battery, a desktop notification should warn you're on battery

Actual results:

No notification

Expected results:

Notification

Fix:

sudo dnf install python3-notify2
restart battray

Additional info:

Comment 1 Fedora Update System 2021-09-22 17:37:19 UTC
FEDORA-2021-f9aecc2b2c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9aecc2b2c

Comment 2 Fedora Update System 2021-09-22 17:37:20 UTC
FEDORA-2021-55f197ed34 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-55f197ed34

Comment 3 Fedora Update System 2021-09-22 18:48:22 UTC
FEDORA-2021-82e67a4271 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-82e67a4271`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-82e67a4271

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 4 Fedora Update System 2021-09-23 19:41:33 UTC
FEDORA-2021-55f197ed34 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-55f197ed34`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-55f197ed34

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-09-23 20:11:56 UTC
FEDORA-2021-f9aecc2b2c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-f9aecc2b2c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-f9aecc2b2c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-09-26 00:16:16 UTC
FEDORA-2021-82e67a4271 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 7 Fedora Update System 2021-10-01 01:26:55 UTC
FEDORA-2021-55f197ed34 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2021-10-01 01:30:19 UTC
FEDORA-2021-f9aecc2b2c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.